var mongoose = require('mongoose');

//Appointment Schema

var appointmentSchema = mongoose.Schema({
    user: {
    type:String
    },
    date: {
    type:String
    },
    time: {
    type:String
    },
    specialty: {
    type:String
    },
    doctor: {
    type:String
    }
});

var Appointment = module.exports = mongoose.model('Appointment', appointmentSchema);

//Get Wait list
module.exports.getAppointmentList = function(callback, limit) {
    Appointment.find().exec(callback);
}

//get appointment by pacient
module.exports.getAppointmentByPacient = function(id,callback) {
    Appointment.find({user:id}).exec(callback);
}

//add to wait list
module.exports.addAppointment = function(appointment, callback) {
    Appointment.create(appointment, callback);
}